$('a[data-toggle="tab"]').on('show.bs.tab', function (e) {
  var $target = $(e.target);

  if ($target.parent().hasClass('disabled')) {
    return false;
  }
});

$('.next-step').click(function (e) {
  var $active = $('.content-wrapper .breadcrumb li.active');
  $active.removeClass('active');
  $active.next().removeClass('disabled');
  nextTab($active);
});

$('.prev-step').click(function (e) {
  var $active = $('.content-wrapper .breadcrumb li.active');
  $active.removeClass('active');
  $active.prev().removeClass('active');
  prevTab($active);
});

function nextTab(elem) {
  $(elem).next().find('a[data-toggle="tab"]').click();
}
function prevTab(elem) {
  $(elem).prev().find('a[data-toggle="tab"]').click();
}

$(document).ready(function () {
  let baseURL = window.baseURL || '',
    getOauthID;

  $('.delete-client').on('click', function () {
    getOauthID = $(this).data('client');
    $('.oauth-delete').val(getOauthID);
  });

  $('.oauth-delete').click(function (e) {
    var oauthID = $('.oauth-delete').val(),
      targetURL = portalRoot + 'oauth-clients/' + oauthID;

    // TODO: handle errors
    $.ajax({
      url: targetURL,
      headers: {
        'X-CSRF-Token': $('#csrf_token').val()
      },
      type: 'DELETE',
      success: function (result) {
        location.reload();
      },
      error: function () {
        alert("Couldn't delete the OAuth client")
      }
    });

    e.preventDefault();
  });
});